<?php
/**
 * Account Pages Settings.
 *
 * @package Iconic_WAP
 */

add_filter( 'wpsf_register_settings_iconic_wap', 'iconic_wap_settings' );

/**
 * Account pages Settings
 *
 * @param array $wpsf_settings Settings.
 *
 * @return array
 */
function iconic_wap_settings( $wpsf_settings ) {
	$wpsf_settings['tabs'][] = array(
		'id'    => 'general',
		'title' => __( 'General Settings', 'iconic-wap' ),
	);

	$wpsf_settings['sections'][] = array(
		'tab_id'              => 'general',
		'section_id'          => 'general',
		'section_title'       => __( 'General', 'iconic-wap' ),
		'section_description' => '',
		'section_order'       => 0,
		'fields'              => array(
			array(
				'id'       => 'allow_form_tags',
				'title'    => __( 'Allow Form Tags', 'iconic-wap' ),
				'subtitle' => __( 'Enable this setting to allow form elements in the Account pages, which may be required for certain third-party form plugins like Gravity Forms, Ninja Forms etc.<br><br>Exercise caution when enabling this setting, as it could potentially introduce security risks if misused. Only enable if you trust the Form plugin author.', 'iconic-wap' ),
				'type'     => 'toggle',
				'default'  => false,
			),
		),
	);

	return $wpsf_settings;
}
